using Journal.Core.Dtos;

namespace Journal.Core.Services.Fragments;

public interface IFragmentService
{
    FragmentDto Create(CreateFragmentDto dto);
    bool Update(Guid id, UpdateFragmentDto dto);
    bool Remove(Guid id);
    List<FragmentDto> Search(string? type = null, string? tag = null, DateTimeOffset? timeAfter = null);
    List<FragmentDto> GetByTag(string tag);
    List<FragmentDto> GetByType(string type);
    List<FragmentDto> GetAll();
    FragmentDto? GetById(Guid id);
}
